#!/usr/bin/env python
#
# This file is part of Simulation-Strategy Template
# Author(s): Clare Richardson, Girlstart
# Copyright 2008
#
# Source code is part of Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for font, sound, and image sources.
#
# Simulation-Strategy Template is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Simulation-Strategy Template is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Simulation-Strategy Template.  If not, see <http://www.gnu.org/licenses/>.

import pygame, random
from helpers import *

class Activities(pygame.sprite.Sprite):
	def __init__(self,background_image):
		pygame.sprite.Sprite.__init__(self)
		self.screen = pygame.display.get_surface()
		self.area = self.screen.get_rect()
		self.background = background_image

		self.effectimage, self.effectimagerect = load_image('smile.png')
		self.original_width = self.effectimage.get_width()
		self.original_height = self.effectimage.get_height()
		
		self.score = 0

	def see_effect(self):
		# change the size of the image based on the player's score
		new_width = 20*self.score + self.original_width
		new_height = 20*self.score + self.original_height
		self.effectimage = pygame.transform.scale(self.effectimage, (new_width, new_height))

		self.effectimagerect = self.effectimage.get_rect()
		self.effectimagerect.centerx = self.area.centerx
		self.effectimagerect.top = 0

		self.screen.blit(self.effectimage,self.effectimagerect)
		
	def decision1(self):
		decision_made = False
		
		while not decision_made:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					if event.key == pygame.K_a:
						self.score = self.score + 1
						decision_made = True
					elif event.key == pygame.K_b:
						self.score = self.score + 2
						decision_made = True
					elif event.key == pygame.K_c:
						self.score = self.score - 3
						decision_made = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			font = pygame.font.Font(None, 30)
			text = font.render("Press 'a' to get 1 point, 'b' to get 2 points, or 'c' to get -3 points", 1, (0,0,0))
			textrect = text.get_rect()
			textrect.centerx = self.area.centerx
			textrect.bottom = self.area.bottom
			self.screen.blit(text, textrect)

			self.see_effect()
			
			pygame.display.flip()

	def decision2(self):
		decision_made = False
		
		while not decision_made:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					if event.key == pygame.K_d:
						self.score = self.score + 1
						decision_made = True
					elif event.key == pygame.K_e:
						self.score = self.score + 2
						decision_made = True
					elif event.key == pygame.K_f:
						self.score = self.score - 3
						decision_made = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			font = pygame.font.Font(None, 30)
			text = font.render("Press 'd' to get 1 point, 'e' to get 2 points, or 'f' to get -3 points", 1, (0,0,0))
			textrect = text.get_rect()
			textrect.centerx = self.area.centerx
			textrect.bottom = self.area.bottom
			self.screen.blit(text, textrect)

			self.see_effect()
			
			pygame.display.flip()

	def decision3(self):
		decision_made = False
		
		while not decision_made:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					if event.key == pygame.K_g:
						self.score = self.score + 1
						decision_made = True
					elif event.key == pygame.K_h:
						self.score = self.score + 2
						decision_made = True
					elif event.key == pygame.K_i:
						self.score = self.score - 3
						decision_made = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			font = pygame.font.Font(None, 30)
			text = font.render("Press 'g' to get 1 point, 'h' to get 2 points, or 'i' to get -3 points", 1, (0,0,0))
			textrect = text.get_rect()
			textrect.centerx = self.area.centerx
			textrect.bottom = self.area.bottom
			self.screen.blit(text, textrect)

			self.see_effect()
			
			pygame.display.flip()

